Download it now!
Bug 70493 - BASIC: Filter operator EMPTY
Summary: BASIC: Filter operator EMPTY
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
4.0.5.2 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-15 13:20 UTC by philippe.schmidlin
Modified: 2015-04-01 14:52 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description philippe.schmidlin 2013-10-15 13:20:38 UTC
Problem description: in basic macro
Operator EMPTY does not returned empty records (rows)
Return NOT_EMPTY records(rows)
Operator NOT_EMPTY now works correctly (bug resolved)

But manually in Calc with menu data/filter/standard filter  
open a dialog box to choose the criterias :
Field (Column 4), operator(=), value (empty) operate correctly



              
Operating System: Windows 8
Version: 4.0.5.2 release
Comment 1 Joel Madero 2014-07-20 19:39:46 UTC
Please provide a sample document with a macro that uses "EMPTY". Marking as NEEDINFO.

It makes QA's job 100x easier when all reproducible steps and a sample document. We have to confirm thousands of bugs, we're all volunteers, and the easier a user makes it for us the faster we can get through the list of bugs. Thanks for your understanding.


Once you attach a document please set to UNCONFIRMED. Thanks!
Comment 2 QA Administrators 2015-02-19 04:42:23 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team

Message generated on: 2015-02-18
Comment 3 QA Administrators 2015-04-01 14:52:25 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

-- The LibreOffice QA Team This NEEDINFO Message was generated on: 2015-04-01

Warm Regards,
QA Team